View Issue Details

IDProjectCategoryView StatusLast Update
0000547luatexluatex bugpublic2011-04-12 11:06
ReporterphiAssigned ToTaco 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSMac OS XOS Version10.6.5
Product Version0.65.0 
Target VersionFixed in Version0.66.0 
Summary0000547: Family numbers > 255 are allowed
DescriptionThe number in line 53 of scanning.h should be 255, not 265. This typo allows using families with numbers greater than 255, which introduces unwanted effects:

/tmp $ luatex
This is LuaTeX, Version beta-0.65.0-2010121316
**\message{\the\scriptfont0}
\sevenrm
*\textfont256=\tensy

*\message{\the\scriptfont0}
\tensy
TagsNo tags attached.

Activities

Taco

2011-02-10 10:30

administrator   ~0000745

fixed in rev 4085

Taco

2011-04-12 11:06

administrator   ~0000812

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2010-12-30 15:39 phi New Issue
2011-02-10 10:30 Taco Note Added: 0000745
2011-02-10 10:30 Taco Status new => resolved
2011-02-10 10:30 Taco Resolution open => fixed
2011-02-10 10:30 Taco Assigned To => Taco
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000812
2011-04-12 11:06 Taco Status resolved => closed